Package com.independentsoft.office.charts

# Class LineChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.LineChart

public class LineChart extends Chart
The Class LineChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineChart()`
  Instantiates a new line chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LineChart`
  `clone()`
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `DropLines`
  `getDropLines()`
  Gets the drop lines.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `long`
  `getFirstAxisID()`
  Gets the first axis id.
  `Grouping`
  `getGrouping()`
  Gets the grouping.
  `HiLowLines`
  `getHiLowLines()`
  Gets the hi low lines.
  `long`
  `getSecondAxisID()`
  Gets the second axis id.
  `List<LineChartSerie>`
  `getSeries()`
  Gets the series.
  `UpDownBars`
  `getUpDownBars()`
  Gets the up down bars.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `boolean`
  `isShowMarker()`
  Checks if is show marker.
  `boolean`
  `isSmoothing()`
  Checks if is smoothing.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setDropLines​(DropLines dropLines)`
  Sets the drop lines.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setFirstAxisID​(long firstAxisID)`
  Sets the first axis id.
  `void`
  `setGrouping​(Grouping grouping)`
  Sets the grouping.
  `void`
  `setHiLowLines​(HiLowLines hiLowLines)`
  Sets the hi low lines.
  `void`
  `setSecondAxisID​(long secondAxisID)`
  Sets the second axis id.
  `void`
  `setShowMarker​(boolean showMarker)`
  Sets the show marker.
  `void`
  `setSmoothing​(boolean smoothing)`
  Sets the smoothing.
  `void`
  `setUpDownBars​(UpDownBars upDownBars)`
  Sets the up down bars.
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LineChart

    public LineChart()
    Instantiates a new line chart.

- ## Method Details

  - ### clone

    public LineChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getFirstAxisID

    public long getFirstAxisID()
    Gets the first axis id.
    Returns:
      the first axis id

  - ### setFirstAxisID

    public void setFirstAxisID​(long firstAxisID)
    Sets the first axis id.
    Parameters:
      `firstAxisID` - the new first axis id

  - ### getSecondAxisID

    public long getSecondAxisID()
    Gets the second axis id.
    Returns:
      the second axis id

  - ### setSecondAxisID

    public void setSecondAxisID​(long secondAxisID)
    Sets the second axis id.
    Parameters:
      `secondAxisID` - the new second axis id

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getDropLines

    public DropLines getDropLines()
    Gets the drop lines.
    Returns:
      the drop lines

  - ### setDropLines

    public void setDropLines​(DropLines dropLines)
    Sets the drop lines.
    Parameters:
      `dropLines` - the new drop lines

  - ### getGrouping

    public Grouping getGrouping()
    Gets the grouping.
    Returns:
      the grouping

  - ### setGrouping

    public void setGrouping​(Grouping grouping)
    Sets the grouping.
    Parameters:
      `grouping` - the new grouping

  - ### getHiLowLines

    public HiLowLines getHiLowLines()
    Gets the hi low lines.
    Returns:
      the hi low lines

  - ### setHiLowLines

    public void setHiLowLines​(HiLowLines hiLowLines)
    Sets the hi low lines.
    Parameters:
      `hiLowLines` - the new hi low lines

  - ### isShowMarker

    public boolean isShowMarker()
    Checks if is show marker.
    Returns:
      true, if is show marker

  - ### setShowMarker

    public void setShowMarker​(boolean showMarker)
    Sets the show marker.
    Parameters:
      `showMarker` - the new show marker

  - ### getSeries

    public List<LineChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### isSmoothing

    public boolean isSmoothing()
    Checks if is smoothing.
    Returns:
      true, if is smoothing

  - ### setSmoothing

    public void setSmoothing​(boolean smoothing)
    Sets the smoothing.
    Parameters:
      `smoothing` - the new smoothing

  - ### getUpDownBars

    public UpDownBars getUpDownBars()
    Gets the up down bars.
    Returns:
      the up down bars

  - ### setUpDownBars

    public void setUpDownBars​(UpDownBars upDownBars)
    Sets the up down bars.
    Parameters:
      `upDownBars` - the new up down bars

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors